<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: gst::Pad Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classgst_1_1Pad.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">gst::Pad Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for gst::Pad:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgst_1_1Pad__inherit__graph.svg" width="103" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for gst::Pad:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgst_1_1Pad__coll__graph.svg" width="103" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a42b749b419024c263abbdfbdd62e2ae3"><td class="memItemLeft" align="right" valign="top"><a id="a42b749b419024c263abbdfbdd62e2ae3"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Pad</b> (GstPad *ref)</td></tr>
<tr class="separator:a42b749b419024c263abbdfbdd62e2ae3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a748407cd8b207787fdf9102ce7e3998b"><td class="memItemLeft" align="right" valign="top"><a id="a748407cd8b207787fdf9102ce7e3998b"></a>
<a class="el" href="classgst_1_1Pad.html">Pad</a>&#160;</td><td class="memItemRight" valign="bottom"><b>make</b> (PadDirection dir, std::string name=&quot;&quot;)</td></tr>
<tr class="separator:a748407cd8b207787fdf9102ce7e3998b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8854e6192da8fc8c2d0ee77d24d18c0"><td class="memItemLeft" align="right" valign="top"><a id="ae8854e6192da8fc8c2d0ee77d24d18c0"></a>
GstElement *&#160;</td><td class="memItemRight" valign="bottom"><b>ref</b> ()</td></tr>
<tr class="separator:ae8854e6192da8fc8c2d0ee77d24d18c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a749511c04f7d5cefdc3b68449143c4c3"><td class="memItemLeft" align="right" valign="top"><a id="a749511c04f7d5cefdc3b68449143c4c3"></a>
GstPad *&#160;</td><td class="memItemRight" valign="bottom"><b>ref_pad</b> ()</td></tr>
<tr class="separator:a749511c04f7d5cefdc3b68449143c4c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03cf48fe03bb97757a7c13d832d9d2b2"><td class="memItemLeft" align="right" valign="top"><a id="a03cf48fe03bb97757a7c13d832d9d2b2"></a>
LinkReturn&#160;</td><td class="memItemRight" valign="bottom"><b>link</b> (<a class="el" href="classgst_1_1Pad.html">Pad</a> &amp;destination)</td></tr>
<tr class="separator:a03cf48fe03bb97757a7c13d832d9d2b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a341fcfdf493b16a7b3deadec07da0aed"><td class="memItemLeft" align="right" valign="top"><a id="a341fcfdf493b16a7b3deadec07da0aed"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>unlink</b> (<a class="el" href="classgst_1_1Pad.html">Pad</a> &amp;destination)</td></tr>
<tr class="separator:a341fcfdf493b16a7b3deadec07da0aed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec7e70c64d2f2bff393d91a70d8f8864"><td class="memItemLeft" align="right" valign="top"><a id="aec7e70c64d2f2bff393d91a70d8f8864"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_linked</b> ()</td></tr>
<tr class="separator:aec7e70c64d2f2bff393d91a70d8f8864"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c03410045f57756b782931a0f91abb9"><td class="memItemLeft" align="right" valign="top"><a id="a9c03410045f57756b782931a0f91abb9"></a>
<a class="el" href="classgst_1_1Caps.html">Caps</a>&#160;</td><td class="memItemRight" valign="bottom"><b>current_caps</b> ()</td></tr>
<tr class="separator:a9c03410045f57756b782931a0f91abb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Pad_8hpp_source.html">Pad.hpp</a></li>
<li>Pad.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacegst.html">gst</a></li><li class="navelem"><a class="el" href="classgst_1_1Pad.html">Pad</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
